# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "numerica"
version = "1.0.3"
authors = ["Ben Ruijl <ben@symbolica.io>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Open-source math library for exact and floating point computations"
readme = "Readme.md"
keywords = [
    "algebra",
    "mathematics",
    "integer",
    "float",
    "rational",
]
license = "MIT"
repository = "https://github.com/symbolica-dev/numerica"

[features]
bincode = [
    "dep:bincode",
    "dep:bincode-trait-derive",
]
python = [
    "pyo3",
    "numpy",
]
python_stubgen = [
    "python",
    "pyo3-stub-gen",
]
serde = [
    "dep:serde",
    "rug/serde",
]

[lib]
name = "numerica"
path = "src/lib.rs"

[[example]]
name = "dual"
path = "examples/dual.rs"

[[example]]
name = "integration"
path = "examples/integration.rs"

[dependencies.ahash]
version = "0.8.7"

[dependencies.bincode]
version = "2.0"
optional = true

[dependencies.bincode-trait-derive]
version = "0.1.0"
optional = true

[dependencies.colored]
version = "3.0"

[dependencies.dyn-clone]
version = "1.0"

[dependencies.numpy]
version = "0.27"
optional = true

[dependencies.pyo3]
version = "0.27"
features = ["num-complex"]
optional = true

[dependencies.pyo3-stub-gen]
version = "0.17"
features = ["numpy"]
optional = true
default-features = false

[dependencies.rand]
version = "0.9"

[dependencies.rand_xoshiro]
version = "0.7"

[dependencies.rug]
version = "1.27.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dependencies.smallvec]
version = "1.13"

[dependencies.wide]
version = "0.8"
